Bug 1913608 - Table data contains data value None after change time range in graph and change back
Summary: Table data contains data value None after change time range in graph and chan...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: Andrew Pickering
QA Contact: hongyan li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-07 08:54 UTC by hongyan li
Modified: 2021-02-24 15:51 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:50:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
video (1.19 MB, application/x-matroska)
2021-01-07 08:54 UTC, hongyan li
no flags Details
query api and response data (288.35 KB, image/png)
2021-01-07 09:29 UTC, hongyan li
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7813 0 None closed Bug 1913608: Query Browser: Fix bug where `None` table values were not cleared 2021-02-21 08:00:50 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:51:11 UTC

Description hongyan li 2021-01-07 08:54:31 UTC
Created attachment 1745216 [details]
video

Description of problem:
Table data contains data value None after change time range in graph and change back

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2021-01-07-005922

How reproducible:
Always

Steps to Reproduce:
1.Go to monitoring-metrics
2.Perform query 'alertmanager_cluster_messages_received_total'
3.Default time range is 30m in graph, table data doesn't contain data value None
4.Change time range as 12h, table data contains data value None, change time range back to 30m, table data still contains data value None

Actual results:


Expected results:


Additional info:

Comment 1 hongyan li 2021-01-07 09:08:36 UTC
Table data value contains both None and O, is the None value normal?

Comment 2 hongyan li 2021-01-07 09:29:07 UTC
Table data with value None is not returned by query api, for refer attachment

Comment 3 hongyan li 2021-01-07 09:29:57 UTC
Created attachment 1745241 [details]
query api and response data

Comment 7 hongyan li 2021-01-14 03:36:06 UTC
Test with payload 4.7.0-0.nightly-2021-01-14-014511

Perform query 'alertmanager_cluster_messages_received_total', table data doesn't contain value 'None' whether the time range is 30m or 12h

Comment 11 errata-xmlrpc 2021-02-24 15:50:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.